10879 questions

12962 answers

20220 comments

26087 members

0 votes
299 views 7 comments
by

Greetings,

I am trying to compile softethervpn package on Ubuntu 16.04.7 following the guide for single package compiling.

make package/softethervpn/compile -j1 V=s


I am getting the following result:

WARNING: Makefile 'package/configdb/Makefile' has a build dependency on 'common', which does not exist

WARNING: Makefile 'package/diag/Makefile' has a build dependency on 'common', which does not exist

WARNING: Makefile 'package/dsutils/Makefile' has a build dependency on 'common', which does not exist

WARNING: Makefile 'package/mcm-core/Makefile' has a build dependency on 'common', which does not exist

WARNING: Makefile 'package/qmi-client-helper/Makefile' has a build dependency on 'common', which does not exist

WARNING: Makefile 'package/qmuxd/Makefile' has a build dependency on 'common', which does not exist

WARNING: Makefile 'package/xmllib/Makefile' has a build dependency on 'common', which does not exist

make[2]: Entering directory '/home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/scripts/config'

make[2]: Leaving directory '/home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/scripts/config'

make[1]: Entering directory '/home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64'

make[2]: Entering directory '/home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/feeds/packages/net/softethervpn'

make[2]: Leaving directory '/home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/feeds/packages/net/softethervpn'

time: package/feeds/packages/softethervpn/host-compile#0.14#0.02#0.19

make[2]: Entering directory '/home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/package/libs/toolchain'

rm -rf /home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/build_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/toolchain/.pkgdir/libc.installed /home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/build_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/toolchain/.pkgdir/libc

mkdir -p /home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/build_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/toolchain/.pkgdir/libc

install -d -m0755 /home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/build_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/toolchain/.pkgdir/libc/lib /home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/build_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/toolchain/.pkgdir/libc/usr/bin

cp -fpR /home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/staging_dir/toolchain-arm_cortex-a7+neon-vfpv4_gcc-7.3.0_musl_eabi/lib/ld-musl-*.so* /home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/build_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/toolchain/.pkgdir/libc/lib/

cp: cannot stat '/home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/staging_dir/toolchain-arm_cortex-a7+neon-vfpv4_gcc-7.3.0_musl_eabi/lib/ld-musl-*.so*': No such file or directory

Makefile:618: recipe for target '/home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/build_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/toolchain/.pkgdir/libc.installed' failed

make[2]: *** [/home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/build_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/toolchain/.pkgdir/libc.installed] Error 1

make[2]: Leaving directory '/home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/package/libs/toolchain'

time: package/libs/toolchain/compile#0.11#0.02#0.15

package/Makefile:111: recipe for target 'package/libs/toolchain/compile' failed

make[1]: *** [package/libs/toolchain/compile] Error 2

make[1]: Leaving directory '/home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64'

/home/rutx/RUTX_R/openwrt-gpl-ipq40xx.Linux-x86_64/include/toplevel.mk:220: recipe for target 'package/softethervpn/compile' failed

make: *** [package/softethervpn/compile] Error 2

Any help appriciated.

1 Answer

0 votes
by

Hello, 

For that issue of yours, I have tried compiling a single package on my side, and was successfully done. 

Note: I have tested it using the SDK of TRB14X but it will be the same for RUTX series. 

Here is a short video guide on how did I do it. 
https://youtu.be/9t_FA--7Upk 

Screenshot of the final result: 




Hope it helps

Regards,
Jerome

by

Hello Jerom,

Thank you for your response.

As I can see you get the same warnings at the beginning of the compilation, but later on it continues without problems. In my case there is something wrong with the toolchain on ubuntu, despite the fact that I followed the guide and have installed the prerequisite packages for the SDK to work properly.

I will reinstall Ubuntu and I will try aggain.

By the way, did you use a VM or a physical PC?

Nevertheless, to install softethervpn on RUTX11, through opkg, is just a matter of a few seconds and it works perfectly. It would be nice to have it installed as a default application in the image.

Regards,
Dimitris

by
Hi is it possible to have the video? I'm starting to work with my RUT955 but I don't know where I can start.
by

Hello Dimitris, 

Yes, you can also download the softethervpn via opkg update and opkg install softethervpn. About the plans of implementing it on the RUT device itself there are no plans yet but I will share your suggestion to our HQ team. 

Thank you for your feedback :) 

For other commentator, "Hi is it possible to have the video? I'm starting to work with my RUT955 but I don't know where I can start." 
If you want to implement it to your RUT955 try executing the commands in CLI:

opkg update
opkg install softethervpn 


Just to inform you this softethervpn is a 3rd party platform and we cannot provide support to it so for the configuration part it is best if you have some reference.

Hope it helps

Regards,
Jerome 

by

Hello Jerom,

I am still facing the same problem with selecting and compiling packages from the sdk.

The result is the same errors for any package that I select from the menuconfig!

I am using virtualbox in windows host and I have tried ubuntu 16.04.7 and 16.04.6 x64 with no lack. Same errors

Thank you in advance 

by
Hello,

https://prnt.sc/w7tip7->  Here is a screenshot where I am compiling some SDK and packages without having any issues.

I will try compiling softethervpn on RUTX SDK and share the results.

Regards,
Jerome
by
Thank you Jerom,

The problem is that if I try to compile any other package from the menuconfig I get the same errors.

I tried to compile kmod-usb-ohci package for example and got the same errors.
I want to install usbip tool to test the use case and check if it can work with rutx devices.

Thank you in advance.
by

Hello, 

I have tested compiling the usbip via SDK of RUTX11 and was able to compile it successfully. 

Now I have tried installing it to RUTX11 these errors appear it is related to kernel things

As you can see these things is not inside the package of RUTX11 so there maybe some changes that will be done regarding the requirement of the use of usbip. For that we cannot provide support for the integration of this package to RUTX11 additional research and development maybe needed to make this package work with our RUTX11.

For the research and development to procceed it is best to contact your sales manager for this.

Some USB Tools feature is also integraded with RUTX11 you can refer to this link: RUTX11 USB Tools - Teltonika Networks Wiki (teltonika-networks.com) 

Regards.

Jerome